Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.entity.monster
Class EntitySpider

    java.lang.Object
      net.minecraft.entity.Entity
          net.minecraft.entity.EntityLiving
              net.minecraft.entity.EntityCreature
                  net.minecraft.entity.monster.EntityMob
                      net.minecraft.entity.monster.EntitySpider

All Implemented Interfaces:
  IMob, IAnimals

Direct Known Subclasses:
  EntityCaveSpider

    public class EntitySpider

extends EntityMob

Field Summary

Fields inherited from class net.minecraft.entity.EntityLiving
`arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, experienceValue, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, landMovementFactor, legSwing, legYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, pickUpLootProability, prevCameraPitch, prevHealth, prevLegYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt, tasks`

Fields inherited from class net.minecraft.entity.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Fields inherited from interface net.minecraft.entity.monster.IMob
`mobSelector`

Constructor Summary
`EntitySpider(World par1World)`

Method Summary
`EnumCreatureAttribute` | `getCreatureAttribute()` Get this Entity's EnumCreatureAttribute
`int` | `getMaxHealth()`
`double` | `getMountedYOffset()` Returns the Y offset from the entity's position for any entity riding this one.
`void` | `initCreature()` Initialize this creature.
`boolean` | `isBesideClimbableBlock()` Returns true if the WatchableObject (Byte) is 0x01 otherwise returns false.
`boolean` | `isOnLadder()` returns true if this entity is by a ladder, false otherwise
`boolean` | `isPotionApplicable(PotionEffect par1PotionEffect)`
`void` | `onUpdate()` Called to update the entity's position/logic.
`void` | `setBesideClimbableBlock(boolean par1)` Updates the WatchableObject (Byte) created in entityInit(), setting it to 0x01 if par1 is true or 0x00 if it is false.
`void` | `setInWeb()` Sets the Entity inside a web block.
`float` | `spiderScaleAmount()`

Methods inherited from class net.minecraft.entity.monster.EntityMob
`attackEntityAsMob, attackEntityFrom, getAttackStrength, getBlockPathWeight, getCanSpawnHere, onLivingUpdate`

Methods inherited from class net.minecraft.entity.EntityCreature
`getEntityToAttack, getSpeedModifier, hasPath, setPathToEntity, setTarget`

Methods inherited from class net.minecraft.entity.EntityLiving
`addPotionEffect, canAttackClass, canBeCollidedWith, canBePushed, canBeSteered, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, detachHome, eatGrassBonus, faceEntity, func_82143_as, func_82159_b, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getArmorItemForSlot, getArrowCountInEntity, getAttackTarget, getCurrentArmor, getCurrentItemOrArmor, getEntitySenses, getEyeHeight, getHealth, getHeldItem, getHomePosition, getItemIcon, getJumpHelper, getLastActiveItems, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaximumHomeDistance, getMaxSpawnedInChunk, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getSwingProgress, getTalkInterval, getTexture, getTotalArmorValue, getVerticalFaceSpeed, handleHealthUpdate, hasHome, heal, isBlocking, isChild, isEntityAlive, isEntityUndead, isPlayerSleeping, isPotionActive, isPotionActive, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, moveEntityWithHeading, onDeath, onEntityUpdate, onItemPickup, performHurtAnimation, playLivingSound, rayTrace, readEntityFromNBT, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setArrowCountInEntity, setAttackTarget, setCurrentItemOrArmor, setEntityHealth, setHeadRotationYaw, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, shouldRiderFaceForward, spawnExplosionParticle, swingItem, updateRidden, writeEntityToNBT`

Methods inherited from class net.minecraft.entity.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82146_a, func_82148_at, func_82149_j, func_85029_a, func_85030_a, func_85031_j, func_85032_ar, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getHasActivePotion, getMaxInPortalTime, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, interact, isBurning, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onKillEntity, onStruckByLightning, readFromNBT, setAir, setAngles, setDead, setEating, setFire, setHasActivePotion, setInPortal, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntitySpider

    public EntitySpider(World par1World)

Method Detail

### onUpdate

    public void onUpdate()

  Called to update the entity's position/logic.

  Overrides:
    `onUpdate` in class `EntityMob`

### getMaxHealth

    public int getMaxHealth()

  Specified by:
    `getMaxHealth` in class `EntityLiving`

### getMountedYOffset

    public double getMountedYOffset()

  Returns the Y offset from the entity's position for any entity riding this one.

  Overrides:
    `getMountedYOffset` in class `Entity`

### isOnLadder

    public boolean isOnLadder()

  returns true if this entity is by a ladder, false otherwise

  Overrides:
    `isOnLadder` in class `EntityLiving`

### setInWeb

    public void setInWeb()

  Sets the Entity inside a web block.

  Overrides:
    `setInWeb` in class `Entity`

### spiderScaleAmount

    public float spiderScaleAmount()

### getCreatureAttribute

    public EnumCreatureAttribute getCreatureAttribute()

  Get this Entity's EnumCreatureAttribute

  Overrides:
    `getCreatureAttribute` in class `EntityLiving`

### isPotionApplicable

    public boolean isPotionApplicable(PotionEffect par1PotionEffect)

  Overrides:
    `isPotionApplicable` in class `EntityLiving`

### isBesideClimbableBlock

    public boolean isBesideClimbableBlock()

  Returns true if the WatchableObject (Byte) is 0x01 otherwise returns false. The WatchableObject is updated using setBesideClimableBlock.

### setBesideClimbableBlock

    public void setBesideClimbableBlock(boolean par1)

  Updates the WatchableObject (Byte) created in entityInit(), setting it to 0x01 if par1 is true or 0x00 if it is false.

### initCreature

    public void initCreature()

  Initialize this creature.

  Overrides:
    `initCreature` in class `EntityLiving`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD